Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78127 - It looks like mkfs.ext3 does not clean properly the superblock.
Summary: It looks like mkfs.ext3 does not clean properly the superblock.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-19 10:02 UTC by jfm2
Modified: 2015-01-08 00:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-07 13:47:14 UTC


Attachments (Terms of Use)

Description jfm2 2002-11-19 10:02:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
It happenned I wanted to reformat some xfs partitions into ext3 format.  After
running mkfs.ext3 they were still recognized as xfs despite a reboot.  I finally
found the solution: dd= if=/dev/zero of=/dev/mypartition and then run mkfs.ext3.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run mkfs.xfs on partition
2.run mkfs.ext3 on that same partition
3.Try to mount it as ext3.  Mount fails.
	

Additional info:

Comment 1 Florian La Roche 2002-11-26 13:47:24 UTC
What app still recognized it as xfs? AFAIK e2fsprogs tries to keep
boot loaders unchanged and working.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.